<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Common Styling Properties</title>

    <!-- css stylesheet -->
    <link rel="stylesheet" type="text/css" href="./style.css">
</head>
<body>

    <h1>CSS Common Styling</h1>

    <h2>Display</h2>

    <h3>Display: Inline vs Block</h3>

    <div id="div-3">A div can be displayed as inline.</div>
    <div id="div-4">A div can be displayed as inline.</div>
    <span id="span-3">A span can be displayed as block.</span>
    <span id="span-4">A span can be displayed as block.</span>

    <hr>
    
    <h3>Display: Inline-Block</h3>

    <span id="span-5">Span-Inline-Block-1</span>
    <span id="span-6">Span-Inline-Block-2</span>
    <div id="div-5">Div-Inline-Block-1</div>
    <div id="div-6">Div-Inline-Block-2</div>

    <hr>

    <h3>Display: None</h3>

    <div id="div-7">Divs are block by default. Adding display: none; property
        in a css ruleset hides an element.
    </div>
    <span id="span-7">Span is inline by default. Adding display: none; property
        in a css ruleset hides an element.
    </span>

    <hr>

    <h2>CSS Units</h2>

    <h3>px vs %</h3>
    <div class="box fifty-percent">50%</div>
    <div class="box one-hundred-pixels">100px</div>
    <div class="box fifty-vw">50vw</div>
    <div class="box twnety-five-vh">25vh</div>
    <div>16px</div>
    <div class="two-rem">2rem</div>
    <div class="two-em">2em</div>

    <div class="parent">
        <div class="box fifty-percent">50%</div>
        <div class="box hundred-pixels">100px</div>
        <div class="box fifty-vw">50vw</div>
        <div class="box twenty-five-vh">25vh</div>
        <div class="two-rem">2rem</div>
        <div class="two-em">2em</div>
    </div>

    <hr>

    <section class="background">
        <div class="container-bg">
            <h3 class="bg-title">CSS Background Properties</h3>
        </div>
    </section>



</body>
</html>